%global fontname smc-meera
%global fontconf 65-0-%{fontname}.conf

Summary:	    Open Type Fonts for Malayalam script
Name:		    %{fontname}-fonts
Version:	    7.0.3
Release:	    7%{?dist}
License:	    OFL
URL:		    https://gitlab.com/smc/fonts/meera
Source0:	    %{url}/-/archive/Version%{version}/meera-Version%{version}.tar.gz
Source1:	    %{fontname}-fontconfig.conf
Source2:	    %{fontname}.metainfo.xml

BuildRequires:  make fontpackages-devel libappstream-glib fontforge-devel
BuildRequires:  python3	python3-fonttools

Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
Meera font is a Malayalam font designed by Hussain K H and  maintained by
Swathanthra Malayalam Computing project. This is a comprehensive Malayalam
font with 1000+ glyphs for all common Malayalam ligatures.

%prep
%autosetup -n meera-Version%{version}
chmod 644 *.txt
rm -rf ttf

%build 
make PY=python3

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p build/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
	%{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

install -Dm 0644 -p %{SOURCE2} \
	%{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

ln -s %{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}

%check
appstream-util validate-relax --nonet \
	%{buildroot}%{_datadir}/metainfo/%{fontname}.metainfo.xml

%files
%doc README.md
%license LICENSE.txt
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf
%{_fontbasedir}/%{fontname}/*.ttf
%{_datadir}/metainfo/%{fontname}.metainfo.xml

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 7.0.3-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.0.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Shuo Wang <abushwang@tencent.com> - 7.0.3-1
- initial build
